#===================================================================
# Automatically build+publish this folder's content, only.
#
# Launch this script from Terminal in its own folder, with:
#     cd $C/tagpix/screenshots
#     bash _publish.sh
#
# Also run by $W/_admin/BUILD-THUMBSPAGE-CLIENTS/_PUBLISH.sh, to 
# update all thumbspage external clients in a single step.
#
# This script builds screenshot folders for online viewing only.
# This app also has a build/ folder for complete-package builds.
#===================================================================

# get common defs
source ~/MY-STUFF/Websites/_admin/BUILD-THUMBSPAGE-CLIENTS/common.sh

# this app:
# - has screenshots/ instead of docetc/docimgs (it probably shouldn't)
# - does not have a -products/unzipped/ in pub (it probably should)
# - has just 1 gallery; and a docimgs/, but screenshots/ isn't in it
# - has a unique set of thumbspage params (going off-range is a bad idea)

# build gallery (just 1, no root page)
py3 $C/thumbspage/thumbspage.py . <<-EOF
	
	3
	
	
	EOF

# cp screenshots/ to deleted pub version
cd $W/Programs/Current/Complete/tagpix
rm -rf screenshots
cp -pR $C/tagpix/screenshots .

# there is no HEADER here: default tag
py3 $M/insert-analytics.py screenshots/index.html

# publish to union and zip; adds ip-anon line to all index.html ga for zip+upload
cd $W
py3 _PUBLISH.py | tail -n 20
cd UNION/tagpix
py3 $Z/zip-create.py screenshots.zip screenshots -skipcruft | tail -n 20

# upload, unzip, remove
SCP screenshots.zip htdocs/tagpix
SSH <<-EOF
	cd htdocs/tagpix
	rm -rf screenshots
	unzip -d . screenshots.zip
	rm screenshots.zip
	exit
	EOF

rm screenshots.zip
